namespace Vha.Vtk.WebControlLibrary
{
    using System;

	using Vha.Vtk.Common;
	using Vha.Vtk.Kernel.Common;
	using System.Configuration;

    /// <summary>
    ///  Contains methods for primarily for internal use by Vha.Vtk.WebControlLibrary classes.
    /// </summary>

    public class Utility
    {
		/// <summary>
		/// Returns a Vha.Vtk.Kernel.Common.ApplicationConnection for use in connecting to the database, 
		/// based on the "VhaConnectionString" appSetting in the web.config file.
		/// </summary>
		/// <returns>Returns an ApplicationConnection.</returns>
		public static ApplicationConnection GetAppCon()
		{
			ApplicationConnection appCon = new ApplicationConnection(
				(String)ConfigurationSettings.AppSettings["VhaConnectionString"]);
            return appCon;
		}

	// end of VtkUtility class
	}
}
